scala.xml.parsing
class NoBindingFactoryAdapter

[source: `scala/xml/parsing/NoBindingFactoryAdapter.scala`]

`` `class` NoBindingFactoryAdapter
  `extends` FactoryAdapter `with` NodeFactory[Elem]

  nobinding adaptor providing callbacks to parser to create elements. implements hash-consing

Values and Variables inherited from NodeFactory
ignoreComments, ignoreProcInstr, cache

Values and Variables inherited from FactoryAdapter
buffer, attribStack, hStack, tagStack, scopeStack, curTag, capture, normalizeWhitespace, rootElem

Method Summary
`protected def` | create (pre : String, label : String, attrs : MetaData, scpe : NamespaceBinding, children : Seq[Node]) : Elem constructs an instance of scala.xml.Elem
`def` | createNode (pre : String, label : String, attrs : MetaData, scpe : NamespaceBinding, children : List[Node]) : Elem creates a node. never creates the same node twice, using hash-consing
`def` | createText (text : String) : Text creates a text node
`override def` | loadXML (source : InputSource) : Elem loads an XML document, returning a Symbol node.
`def` | nodeContainsText (label : String) : Boolean returns true. Every XML node may contain text that the application needs

Methods inherited from NodeFactory
construct, eqElements, nodeEquals, makeNode, makeText, makeComment, makeProcInstr

Methods inherited from FactoryAdapter
characters, startElement, captureText, endElement, warning, error, fatalError, printError, loadFile, loadFile, loadFile, load, load, load

Methods inherited from DefaultHandler
resolveEntity, notationDecl, unparsedEntityDecl, setDocumentLocator, startDocument, endDocument, startPrefixMapping, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` nodeContainsText(label : String) : Boolean

  returns true. Every XML node may contain text that the application needs

Overrides
  FactoryAdapter.nodeContainsText

`protected` `def` create(pre : String, label : String, attrs : MetaData, scpe : NamespaceBinding, children : Seq[Node]) : Elem

  constructs an instance of scala.xml.Elem

Overrides
  NodeFactory.create

`` `def` createNode(pre : String, label : String, attrs : MetaData, scpe : NamespaceBinding, children : List[Node]) : Elem

  creates a node. never creates the same node twice, using hash-consing

Overrides
  FactoryAdapter.createNode

`` `def` createText(text : String) : Text

  creates a text node

Overrides
  FactoryAdapter.createText

`override` `def` loadXML(source : InputSource) : Elem

  loads an XML document, returning a Symbol node.

Overrides
  FactoryAdapter.loadXML